commit:     7aff712bd5fd7d3033d50c2c912a10eac7ebf615
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 28 19:10:18 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Mar 28 19:15:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7aff712b

dev-ruby/actionpack: add 5.2.3

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-ruby/actionpack/Manifest                |  1 +
 dev-ruby/actionpack/actionpack-5.2.3.ebuild | 55 +++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index 38ef93702cb..29d4a23c0b8 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -1,3 +1,4 @@
 DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 
7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3
 SHA512 
198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
 DIST rails-5.1.6.2.tgz 6144050 BLAKE2B 
b204a66f97514eab94ebcfee89d55482577bf1c355b813e3e596c1d8c1a9f4167871fda75fc605c6b5801a3a247050b53b075abcf3a28bb30ec45e166d7cd8f8
 SHA512 
4e2e4739a276e66ace4a330b65c05c8c8465d71438b6d6d8c30051f9ff9ba6d2669c0379b2478d9a94e9535e7c079b39d6fa1b388619e7d29a3fd8d6127588fd
 DIST rails-5.2.2.1.tgz 8795399 BLAKE2B 
cb07c555b4124b67c12d7b913209112730a2aa4d957b3711c6b1f41918bfbce792426d75bd2e4443043a701f74bb2a286d59b140248f6a74f1c4547f00dc0b7d
 SHA512 
c976e3b4f0f2350cd611309c89a9c3ad16871f115577788694519482afa10420a272f2cc560bd823f05d6d616e3cde1e121d6f530e3d29df12a55bd2aa76ed0e
+DIST rails-5.2.3.tgz 8802794 BLAKE2B 
786f94bcd9528ffc664c39caef0e7d2d3c15da95497044504082999a435c2a877d73d40b68b5237dc07ae6cf9b8f6f99f12ae68527c5f4005b1a648038e507c0
 SHA512 
6a41f7564679263b4a16a245d13271b12e97a55cdd77b5ebe63bd86c3a80e4f447b4c0567a4a40ed8e97a2307522f6dad368b1beeb362136bdf1856f6dffeb60

diff --git a/dev-ruby/actionpack/actionpack-5.2.3.ebuild 
b/dev-ruby/actionpack/actionpack-5.2.3.ebuild
new file mode 100644
index 00000000000..4911a4b5d53
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-5.2.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/activesupport-${PV}
+       ~dev-ruby/actionview-${PV}
+       dev-ruby/rack:2.0
+       >=dev-ruby/rack-test-0.6.3:*
+       >=dev-ruby/rails-html-sanitizer-1.0.2:1
+       dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/mocha:0.14
+               dev-ruby/bundler
+               >=dev-ruby/capybara-2.13:2
+               ~dev-ruby/activemodel-${PV}
+               >=dev-ruby/rack-cache-1.2:1.2
+               www-servers/puma
+       )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       rm ../Gemfile.lock || die
+}

Reply via email to